Get realtime payment
curl --request GET \
--url https://api.natural.com/realtime/{realtimeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/realtime/{realtimeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/realtime/{realtimeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/realtime/{realtimeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/realtime/{realtimeId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/realtime/{realtimeId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/realtime/{realtimeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "realtime",
"id": "rt_019cd1798d855ae91a83bde5392f3664",
"attributes": {
"amount": 25000,
"currency": "USD",
"fee": {
"amount": 50,
"currency": "USD",
"payer": "sender",
"applied": "on_top"
},
"status": "SETTLED",
"description": "Invoice 1042 settlement",
"internalDescription": "Vendor settlement, ledger 1042",
"failure": null,
"submittedAt": "2026-09-03T15:30:00.000Z",
"settledAt": "2026-09-03T15:30:05.000Z",
"terminalAt": "2026-09-03T15:30:05.000Z",
"createdAt": "2026-09-03T15:30:00.000Z",
"updatedAt": "2026-09-03T15:30:05.000Z"
},
"relationships": {
"initiatorAgent": {
"data": null
},
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
},
"externalPartyAccount": {
"data": {
"type": "externalPartyAccount",
"id": "epa_019cd1798d8e5a2f8ceb96020cc3991a"
}
}
}
}
}Direct: Realtime
Get realtime payment
Get one of your party’s realtime payments. An ID that is not yours, or that you cannot read, returns 404, not 403. Returns the Realtime object.
GET
/
realtime
/
{realtimeId}
Get realtime payment
curl --request GET \
--url https://api.natural.com/realtime/{realtimeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/realtime/{realtimeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/realtime/{realtimeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/realtime/{realtimeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/realtime/{realtimeId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/realtime/{realtimeId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/realtime/{realtimeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "realtime",
"id": "rt_019cd1798d855ae91a83bde5392f3664",
"attributes": {
"amount": 25000,
"currency": "USD",
"fee": {
"amount": 50,
"currency": "USD",
"payer": "sender",
"applied": "on_top"
},
"status": "SETTLED",
"description": "Invoice 1042 settlement",
"internalDescription": "Vendor settlement, ledger 1042",
"failure": null,
"submittedAt": "2026-09-03T15:30:00.000Z",
"settledAt": "2026-09-03T15:30:05.000Z",
"terminalAt": "2026-09-03T15:30:05.000Z",
"createdAt": "2026-09-03T15:30:00.000Z",
"updatedAt": "2026-09-03T15:30:05.000Z"
},
"relationships": {
"initiatorAgent": {
"data": null
},
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
},
"externalPartyAccount": {
"data": {
"type": "externalPartyAccount",
"id": "epa_019cd1798d8e5a2f8ceb96020cc3991a"
}
}
}
}
}Authorizations
Headers
Query Parameters
Was this page helpful?